/* ----------------------------------------------------
 *  fmx.h
 *
 *  #defines for fmx.dll
 * ------------------------------------------------- */

/* Extension command IDs. Must be in range
 * FMMENU_FIRST to (FMMENU_LAST-1).  FMENU_LAST
 * is reserved for activating the floating popup
 * menu .......
 */
enum ext_cmds  {
    NULLCMD,     /* no command */
    CMDEXEC,     /* run executable w/ dialog */
    BINDEXEC,    /* bind app w/ FM file selection */
    WINEXEC,     /* run executable w/o dialog */
    WINHELP,     /* run windows help engine */
    FMRESTORE,   /* bring FM to top Z-order */
    SCREENSAVE,  /* activate current screen saver */
    EXTRELOAD,   /* reload all FM extension DLLs */
    ABOUT        /* show About message box */
    };

typedef struct typeCOMMANDTABLE  {
    int nPopup;         /* submenu (popup) # */
    int nItemPos;       /* item pos# (BY_POSITION) */
    LPSTR szMenuTxt;    /* -> menu text */
    int nMenuCmd;       /* menu item# (BY_COMMAND) */
    int nAccelKey;      /* accelerator Key */
    int nExtCmd;        /* extension command */
    LPSTR szCmdline;    /* -> command line */
    } COMMANDTABLE;

/* ----- EOF --------------------------------------- */
